WOSSINPUT(1e)

NAME
wossinput - Finds programs by EDAM input data

SYNOPSIS

wossinput -identifier string [-explode boolean] [-showkeywords boolean] -sensitive boolean -subclasses boolean -obsolete boolean -emboss boolean -embassy boolean -showembassy string -colon boolean -gui boolean [-outfile outfile] [-html toggle] [-groups boolean] [-alphabetic boolean]

wossinput -help

DESCRIPTION

wossinput is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Ontology:EDAM,Documentation" command group(s).

OPTIONS

  Input section

-identifier string

  Additional section

-explode boolean
    The groups that EMBOSS applications belong to have two forms, exploded and not exploded. The exploded group names are more numerous and often vaguely phrased than the non-exploded ones. The exploded names are formed from definitions of the group names that start like NAME1:NAME2 and which are then expanded into many combinations of the names as: 'NAME1', 'NAME2', 'NAME1 NAME2', NAME2 NAME1'. The non-expanded names are simply like: 'NAME1 NAME2'. Default value: N

-showkeywords boolean
    Default value: N

  Advanced section

-sensitive boolean
    By default, the query keywords are matched against the EDAM term names (and synonyms) only. This option also matches the keywords against the EDAM term definitions and will therefore (typically) report more matches. Default value: N

-subclasses boolean
    Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. Default value: Y

-obsolete boolean
    The default behaviour is to not use or return obsolete terms. This option if set will include all terms. Default value: N

-emboss boolean
    If you use this option then EMBOSS program documentation will be searched. If this option is set to be false, then only the EMBASSY programs will be searched (if the -embassy option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU General Public License scheme Default value: Y

-embassy boolean
    If you use this option then EMBASSY program documentation will be searched. If this option is set to be false, then only the EMBOSS programs will be searched (if the -emboss option is true). EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU General Public License scheme Default value: Y

-showembassy string
    If you use this option then this EMBASSY package program documentation will be searched. EMBASSY programs are not strictly part of EMBOSS, but use the same code libraries and share the same look and feel, but are generally developed by people who wish the programs to be outside of the GNU General Public License scheme

-colon boolean
    The groups that EMBOSS applications belong to up to two levels, for example the primary group 'ALIGNMENT' has several sub-groups, or second-level groups, e.g.: CONSENSUS, DIFFERENCES, DOT PLOTS, GLOBAL, LOCAL, MULTIPLE. To aid programs that parse the output of wossname that require the names of these subgroups, a colon ':' will be placed between the first and second level of the group name if this option is true. Note: This does not apply if the group names have been exploded with the 'explode' option. Default value: N

-gui boolean
    This option is intended to help those who are designing Graphical User Interfaces to the EMBOSS applications. Some EMBOSS programs are inappropriate for running in a GUI, these include other menu programs and interactive editors. This option allows you to only report those programs that can be run from a GUI Default value: N

  Output section

-outfile outfile
    Default value: stdout

  Html section

-html toggle
    If you are sending the output to a file, this will format it for displaying as a table in a WWW document. Default value: N

-groups boolean
    If you use this option, then only the group names will be output to the file Default value: N

-alphabetic boolean
    If you use this option, then you will get a single list of the program names and descriptions instead of the programs being listed in their functional groups. Default value: N

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

wossinput is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.